Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.api
Interface ExecutorQueryService

All Known Implementing Classes:
  ExecutorQueryServiceImpl

    public interface ExecutorQueryService

Method Summary
`List<ErrorInfo>` | `getAllErrors()`
`List<RequestInfo>` | `getAllRequests()`
`List<RequestInfo>` | `getCancelledRequests()`
`List<RequestInfo>` | `getCompletedRequests()`
`List<ErrorInfo>` | `getErrorsByRequestId(Long id)`
`List<RequestInfo>` | `getFutureQueuedRequests()`
`List<RequestInfo>` | `getInErrorRequests()`
`List<RequestInfo>` | `getPendingRequestById(Long id)`
`List<RequestInfo>` | `getPendingRequests()`
`List<RequestInfo>` | `getQueuedRequests()`
`RequestInfo` | `getRequestById(Long id)`
`List<RequestInfo>` | `getRequestsByStatus(List<STATUS> statuses)`
`List<RequestInfo>` | `getRunningRequests()`

Method Detail

### getPendingRequests

    List<RequestInfo> getPendingRequests()

### getPendingRequestById

    List<RequestInfo> getPendingRequestById(Long id)

### getRequestById

    RequestInfo getRequestById(Long id)

### getErrorsByRequestId

    List<ErrorInfo> getErrorsByRequestId(Long id)

### getQueuedRequests

    List<RequestInfo> getQueuedRequests()

### getCompletedRequests

    List<RequestInfo> getCompletedRequests()

### getInErrorRequests

    List<RequestInfo> getInErrorRequests()

### getCancelledRequests

    List<RequestInfo> getCancelledRequests()

### getAllErrors

    List<ErrorInfo> getAllErrors()

### getAllRequests

    List<RequestInfo> getAllRequests()

### getRunningRequests

    List<RequestInfo> getRunningRequests()

### getFutureQueuedRequests

    List<RequestInfo> getFutureQueuedRequests()

### getRequestsByStatus

    List<RequestInfo> getRequestsByStatus(List<STATUS> statuses)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.